View Issue Details

IDProjectCategoryView StatusLast Update
0000970CATS.cacert.orgTranslation: User Interfacepublic2018-09-03 20:12
ReporterTedAssigned ToTed 
PrioritynormalSeverityminorReproducibilityN/A
Status solved?Resolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000970: User Interface Translation to French
DescriptionSee language file https://svn.cacert.org/CAcert/Education/CATS/lang/french.php
TagsCATS, Translation

Relationships

related to 0001107 new CACert CATS Manual has only one page, which is mostly empty 

Activities

Ted

2011-08-22 22:01

administrator   ~0002316

Current status:
Translation done by ???

Two reviews needed

INOPIAE

2011-08-31 04:31

updater   ~0002377

english version can be found here https://svn.cacert.org/CAcert/Education/CATS/lang/english.php

nvasseur

2011-09-04 22:10

reporter  

french.php (13,147 bytes)

nvasseur

2011-09-04 22:13

reporter   ~0002402

I have reviewed the french translation and checked with the browser that the translation makes sense. I have not managed to check the admin part.

Lordguy

2012-10-17 21:36

reporter   ~0003260

le fichier en pièce jointe est plus juste :

Pièces jointes french.php [^] (13,147 octets) 2011-09-05 00:10

que le fichier :

Description See language file https://svn.cacert.org/CAcert/Education/CATS/lang/french.php [^]

sinon la traduction est correcte

Ted

2012-10-17 22:25

administrator   ~0003261

Two reviews completed, ready to deploy.

Ted

2012-11-19 22:21

administrator   ~0003344

Activated the language in the production environment.

L10N

2012-12-31 16:28

reporter   ~0003585

Last edited: 2012-12-31 17:17

View 3 revisions

Twice apears in [3] the word «mèl» as translation of «e-mail». This is not correct.

(1) Orthography is «mél.» with accut (not with gravis) and with a point at the end. This is an abreciation as «tél.» for telephone and can only be used before an e-mail adress, f.ex. «Mél. myname@provider.ca» as «Tél. 012 345 67 89». (source: french government [1])

(2) as equivalent of e-mail in french is the word «courriel» as published in the 'Journal officiel' from 20/06/2003 in France and in the 'Grand Dictionnaire terminologique' published by the Office québécois de la langue française. [2] [4]

«mèl» should be replaced by «courriel» in both case.

Also should be replaced (2x) «email» by «courriel» (email without hiphen is in french a material made by fusing powdered glass). Fused powdered glass is not electronic mail.

By fixing this, could be replaced (2x) the english «mail» by the french «courriel» as it is confusing, when using different words for the same terme.
resp. «adresse courriel» or «adresse électronique» if it is «e-mail-adress»

[1] http://www.culture.gouv.fr/culture/dglf/mel.htm
[2] http://www.langue-fr.net/spip.php?article139
[3] https://svn.cacert.org/CAcert/Education/CATS/lang/french.php
[4] also the dictionaries of Robert, Larousse, Hachette gives preference to courriel instead of the 'Anglic[isme] déconseillé'.

Lordguy

2013-01-01 12:24

reporter   ~0003586

correction apporté au french.php, fichier envoyer au rapporteur assigné Ted pour ajout au bug tracker

Ted

2013-01-07 21:13

administrator   ~0003595

L10N, please send me your proposal of the file education list or personal mail, or attach it to this bug, so I can add it to SVN.

All in all the proposals sound sensible to me, but my french is not good enough to count this as a review. So before installing on the production server I'd need two french speaking people who confirm your proposals.

L10N

2013-01-07 22:02

reporter  

french2.php (13,119 bytes)

L10N

2013-01-07 22:06

reporter   ~0003596

see file french2.php
I chanched as written december 31, 2012 (2x adresse mèl --> adresse courriel; 1x email --> courriel; 1x mail --> courrier [after cross checking with EN and DE; 'mail' means there 'snail mail']; 1x Help --> Aide [this was not mentioned before]).

Ted

2013-01-19 20:45

administrator   ~0003710

Last edited: 2013-01-19 20:48

View 3 revisions

I checked in french2.php to SVN (and to the new github repository https://github.com/CAcertOrg/cats/tree/bug-970)

Any french speaking person may review the changes and give a statement here, we need two positive statements before the changes can be moved to the release version.

speedy67

2013-04-07 22:23

reporter   ~0003866

I don't perfectly agree with L10N : according to his previous message (2012-12-31) about french gov directives, "adresse courriel" line 7 should be simply : "Mel". Ok for the other changes.

bergerc

2013-04-08 01:01

reporter   ~0003868

Hi,

Sorry a lot of mistakes remaining in this translation, I just pushed a change.
Do you really think google translates good french ? :(

I may not have corrected everything, but main things seems good for understanding (french native speaker and working with PKI in France - lots of things are not precise)

I let the words courriel and mèl, but "e-mail" is mainly used in France. I'm not sure if Canadian french uses the same word.

Another thing which must be ruled by french speakers, how to translate assurer ?
As the word assureur means insurer, professional of the insurance market. It is not correct here, and has been a problem for years. Is there a clear statement on this point from CAcert ?

L10N

2013-07-05 13:21

reporter   ~0004096

I do not understand the comment of bergerc from 2013-04-08.

- As mentioned above, "courriel" is the official term in both, Canada an France.
- The terms "assurer"/"assurance" does not appear in this texts (french.php, resp. french2.php); if they would, they were translated with "accréditeur"/"accréditation", following the french CAcert-Terminology that can be found at "CAcert Translations".
- When I look to french2.php, I see common words as name, next quesstion, yes, no, zip code, street, ... and no PKI special vocabulary.

Maybe bergerc's comment is not about this translation, but about some other text?

@Ted: Howmany reviews are still needed?

bergerc

2013-07-05 13:41

reporter   ~0004097

@L10N : I did not update french.php or french2.php attached to this ticket, but rather I pushed a change to the github repository, please see the pull request located here :
https://github.com/CAcertOrg/cats/pull/4#issuecomment-16177618

L10N

2013-07-05 17:04

reporter  

french3.php (26,450 bytes)

L10N

2013-07-05 17:29

reporter   ~0004098

Oups… you corrected french.php in github, although here in the bugtracker already existed a newer version french2.php. I have merged the two versions (github with your corrections and french2.php) as a document named french3.php

As sometimes before :/?/! was a space and sometimes not, I checked the rules. In fr_FR, there is a (small) space before :;!?» and after «, while there is no (small) space in fr_CH (as in de or it) and neither in fr_BE (as in nl). Canada is as Switzerland and Belgium for ?!;, but as France for :«». As two countries applied the same rules (Switzerland and Belgium), I applied as they do.

Sorry for not changing in github, but I can only read there.

bergerc

2013-07-05 21:02

reporter   ~0004099

I integrated these modifications on my fork/branch of the github, but I have doubts : Some texts did originally start with a lower case letter, so I let them, but you used capitals/upper case everywhere, did you check on the CATS live system if it's legitimate ? (I did not)

I also corrected some typos that were still there.
 (https://github.com/bergerc/cats/blob/release/lang/french.php)

bergerc

2013-07-09 09:23

reporter   ~0004104

A new pull request has been sent with the last updates
https://github.com/CAcertOrg/cats/pull/5

L10N

2013-12-23 10:49

reporter   ~0004484

@Ted: It seams, that there is no more discussion about this topic. Can we go further to the two reviews?

I proovreaded the latest version from bergerc at https://github.com/CAcertOrg/cats/pull/5/files and for me it looks now very well: language, accents, typography, upper/lower case. If you want, you can count this as first review. (Or is this not possible, as I was involved in some steps?)

Ted

2014-02-11 22:53

administrator   ~0004580

Merged the changes into testserver branch, installed them on the testserver.

Please review https://github.com/CAcertOrg/cats/blob/testserver/lang/french.php versus the english texts https://github.com/CAcertOrg/cats/blob/testserver/lang/english.php

Use https://cats1.it-sls.de:14843//index.php? at the moment for a live test.

L10N, I'd apprecate if you'd have at least a short look at the github file to verify that I did not mess up the pull request. And you count as reviewer since it's not code but language to be reviewed. And we're not subject to Security Policy anyway. :-)

speedy67 and/or nvasseur, if you could give us the second/third review it would be great!

Ted

2014-11-22 17:43

administrator   ~0005118

Sent a direct request to speedy67, nvasseur and Lordguy asking for a second review.

Lordguy

2014-11-23 02:49

reporter   ~0005119

second review ok

speedy67

2014-11-25 00:14

reporter   ~0005126

Last edited: 2014-11-25 00:14

View 2 revisions

Minor changes needded :
line 1 : changed "please check your certificate" ("votre certificat") to "please check your certificate information" ("les informations de votre certificat")
line 7 : change "Adresse électronique" into "Mel" according to L10N
line 13 : Added a space before "?"
line 14 : changed "un attestation" into "une attestation" (female gender in french), change "passage" into "réussite" (in french, "passage" means "taking", not "passing")
line 16 : first character turned to capital
line 17 : changed "matière" (matter subject) into "sujet" (topic)
line 18 : changed "table des matières" (table of contents) into "Retour à la gestion des sujets"
line 19 : changed "liste" (list) into "gestion" (management)
line 29 : changed "Editer" (publish/release) to "Modifier" (modify)
ligne 37 : changed "passé" into "réussi" (same reason as line 14)
line 39 : Added brackets as in original text
line 40 : added a space before column character
line 45 : changed "lieu" (place) into "ville" (city)
line 53 : put "réponse" to the right place (certainly accidentally moved to the beginning of the sentence)
line 55 : replaced "différents" with "différentes" (to respect french grammar rules)
line 55 : replaced "Il a" (It has) with "Il doit y avoir" (It has to be")
line 64 : added "plus" ("no more" and not "any") and a space before the column caracter
line 66 : changed "questions réponses incorrects" (means nothing) into "questions avec réponses incorrectes"
line 73 : added a space character before column character
line 77 : replaced "obligatoire" (mandatory) with "requis" (required), added a space character before column character
line 78 : added a space character before column character
line 79 : added a space character at the end of the line for a correct transition with the next text line
line 84 : replaced "En raison de problèmes de confidentialité" with "Par soucis du respect de la vie privée" (more compliant with legal terms regarding privacy)
line 88 : first "pour" removed (useless)
line 113 : moved "actuellement" to right place
line 138 : added a space character before column character
line 141 : "car ils ne sont pas directement liés à" changed to "car ils peuvent être difficilement liés à" to be closer to original text
line 148 : changed "Thèmes" (theme) into "Sujets" (topic)
line 152 : added "le" and space character before column character
line 153 : replaced "pires" with "plus mauvais"
line 154 : added a space character before column character
line 176 : replaced "rubrique" (section) with "sujet" (topic)
line 180 : replaced "CATS Découvrez les progrès" with "Progrès d'apprentissage CATS"
line 182 : added "s" to "correcte"
line 183 : replaced "Présentation des rubriques" with "Vue d'ensemble des sujets"
line 184 : replaced "rubrique" (section) with "sujet" (topic)

I don't reach to upload the file, how may I do ?

L10N

2014-11-26 14:05

reporter   ~0005129

Last edited: 2014-11-26 14:06

View 3 revisions

I do not agree with all the minor changes from Speedy67

line 7: I did not propose to write "Mel". In http://bugs.cacert.org/view.php?id=970#c3585 I wrote, that "Mel" should be replaced. In some circumstances, it can be "Mél." (with accent and point).

line 13: spaces before punctuation marks is a hot iron. As descrived in http://bugs.cacert.org/view.php?id=970#c4098 it is different following fr_FR, fr_BE, fr_CA, fr_CH. At least, we should follow the same rules in the same document. It was fr_CH/fr_BE/fr_CA for !? and fr_CH/fr_BE for ". If the fr_FR space is added here, we have to add all other fr_FR spaces.

line 40: see line 13
line 45: changed "lieu" (place) into "ville" (city) --> Lieu is a neutrum term. ville is different in BE/CA/CH/FR. That was the reason to replace ville before into lieu. Ville has at least 2000 inhabitans (FR), 10 000 inhabitants (CH), 20 000 (Algérie), in special cases or some municipalities (CA, BE, CGO). "Lieu" as 'inhabitated place' is independent of any country and used in postal circumstances.

line 78: see line 13
line 138: see line 13
line 154: see line 13

For the other minor changes, I agree. As with exeption from the Line-7-case, we have to descide, how it should be (as in France, as in the majority of the countries concerned, as neutral as possible), I did not change anything. For further details, please read the linked former notes.

speedy67

2014-11-26 18:19

reporter   ~0005130

You're right, ok for Mél.

Line 45 : In France, the neutrum term for this use is "Commune" which doesn't refer to the population of the area. Otherwise, 70% of the population in industrial contries is living in towns so who will make the difference ? Perhaps me because I do actually live in a place with less than 2 000 inhabitants. But I suppose that this word isn't more suitable in other french versions. It's impossible to reach a perfect translation with a such scientific precision. The only solution, is to write a separate file for each kind of french.
It's so on for the ponctuation problem... Note that in fr_FR, nobody take care of the difference between the half and full space. For me (I learned dactylography in my past and still practice it everyday), some lakes of space are very shoking.

Note that changed nothing at the moment because I don't know how to upload my file.

L10N

2014-12-15 08:57

reporter   ~0005176

Last edited: 2014-12-15 12:58

View 3 revisions

"Commune" (municipality) is a term of the administrative division. We record the place name as in postal adress. Often, there are several named places in one municipality. "Lieu" means otherwise 'named place' and is used by postal service. Maybe it is less common in France. An alternative would be "Localité".

For the typographie, I would prefer a compromise. In the version as (finaly not) reviewed, it was as in fr_CH and fr_BE (done by me), because there are more assurer in the WoT register for this countries as for France or Canada. "Majority" could also be calculated on the base of inhabitants (most in France) or by surface (biggest: Canada). I think is important: It has to be always the same typography. And we have to justify our choice. Only some rare experts (Speedy67, me), will see, that it is for some countries a little bit unusual.

I hope we finish this year, as CATS can be done in french as soon as possible.

L10N

2015-01-25 00:43

reporter   ~0005262

@bergerc, @Lordguy, @speedy67

The French translation is finished, but did not pass the review, as typography is fr_BE/fr_CH and one reviewer asked for fr_FR.

Please read http://bugs.cacert.org/view.php?id=970#c5176 and give your advice.

There are some possibilities to get further, but we have to take a decision.

L10N

2015-01-25 16:41

reporter   ~0005264

Last edited: 2015-01-25 16:42

View 2 revisions

I wrote to the cacert-translation list the following e-mail*:
*https://lists.cacert.org/wws/arc/cacert-translations/2015-01/

> Let's finish the French CATS
>
> The French translation of CATS is finished, but did not pass the review, as
> typography is fr_BE/fr_CH and one reviewer asked for fr_FR.
>
> I made a proposition, how the issue could be solved. Please read
> http://bugs.cacert.org/view.php?id=970#c5176 [^] and give your advice.
>
> There are some possibilities to get further (see link below), but we have to
> take a decision to get French finally into CATS (after more than 5 years).

One the same list, two answers where given:



**** First answer by Hervé ***
"Le mot "Commune" est celui qui est utilisé dans les formulations administratives
(France), toutefois, "localité" peut sans problème être utilisé lorsqu'on parle
d'adresse postale.

Peut-on envisager plusieurs fichier xx_FR ?"

In English: In France, "commune" is used for administrative purposes, but the term "localité" fit well for postal adresses.


*** Second answer by Grégoire ***
"Localité" for fr_FR is certainly the best fit. I do not know for other countries.

In french3.php there are some typos.
May I suggest adding an ending "s" (plural as questions and réponses) "incorrectes" in the following phrase: "Class_Progress_08","questions réponses incorrecte" ?
May I also suggest removing the ending "t" at "réussit" in the following phrase: "Class_Quiz_09","n'avez pas réussit le test.")
Same as first suggestion "correcte" shall have an ending "s" as "réponses" is plural. "Topic_01","Remarque: Vous ne pouvez pas déclarer des réponses comme correcte ici, alors qu'elles ont été déclarées incorrectes ci-dessous.")

bergerc

2015-01-25 18:21

reporter   ~0005270

Couldn't we find something acceptable in all locales ?
It's hard enough to get a translation done in frech, I think we will never get the thing done in all locales (this thread started in 2011!)

L10N

2015-01-25 21:47

reporter   ~0005278

I agree completly with Bergerc.

It seems that "localité" is OK for France and Switzerland as well. In Belgium and Canada it is used by the government. What about Luxembourg?


To avoid 5 European locals (and later about 20 African ones), we need a compromise about half/small spaces before some punctuation marks (see http://bugs.cacert.org/view.php?id=970#c4098 for details).

As proposed, it follows the CH/BE rules, because in CH and BE are more assurers as in FR and CA and it fits also for 50% in CA. If someone does not agree, he can propose another way (for example as in FR due to the bigest population or as in CA due to the bigest surface).

If a compromise can be found in January, I can ad the latest changes in february as I have some days holidays and after review in March we could roll out the French CATS in a Easter egg.... after 40 months.

L10N

2016-02-17 13:30

reporter   ~0005496

@Ted: It seams, that there is no more discussion about this topic. Can we go further to the two reviews?

Most of the suggestions made here are now merged in this file: https://github.com/eruedin/cats/blob/release/lang/french.php

Please merge it to SVN.

Best regards
L10N



The compromises are:
- Typographie remains as in fr_CH, fr_BE and partially in fr_CN (no half spaces before :/?/!)
- inhabited place is "localité" as neutrum for ville/commune/lieu/etc.
- "code postal" as in FR, CN, BE, LU, Tunisie, Maroc (and not as in CH "numéro postal")

L10N

2016-02-17 13:42

reporter   ~0005497

In my opinion this version (5496) is OK.

bergerc

2016-02-17 21:28

reporter   ~0005498

Hi,

For me this version is also good, it's a good compromise between all languages.

OK to commit it to the CATS

Lordguy

2016-02-17 23:25

reporter   ~0005499

Hi,

For me this version is also good, it's a good compromise between all languages.

Ok

speedy67

2016-02-18 16:33

reporter   ~0005500

Hi,

I regret that the fr_FR half spaces was not held.

There is just a mistake at line 39 where the circumflexe accent is missing to "plaît" (see http://www.cnrtl.fr/definition/pla%C3%AEt).

I agree with the other compromises.

L10N

2016-02-18 20:15

reporter   ~0005501

@speedy67: Of course, you are right. As Ted did not pass here until now, I corrected it in Github. Thank you. Eights eyes see more than six ;-)

Ted

2018-09-03 07:37

administrator   ~0005607

Hmm... the modifications seem to be ready to deploy... I'll have to look into that!

Ted

2018-09-03 20:12

administrator   ~0005608

The changes are now merged into the production server.

Note that I currently have troubles accessing https from the testserver, so the installation on the testserver is not up to date!

A few notes:
* Currently CATS uses ISO-8859-1, so the language files also have to use this encoding
* An alternative would be to use HTML entities, which would probably ease the migration to UTF-8...
* I'm not using the SVN server anymore, my master for CATS is https://github.com/CAcertOrg/cats. If you want to keep SVN up to date, you're welcome... :-)
* If more changes are wanted for french, please create a new case for it and add this case as related. I guess this will keep things more clearly arranged.

Issue History

Date Modified Username Field Change
2011-08-22 21:15 Ted New Issue
2011-08-22 21:15 Ted Issue generated from: 0000969
2011-08-22 21:16 Ted Issue cloned: 0000971
2011-08-22 22:01 Ted Note Added: 0002316
2011-08-22 22:01 Ted Assigned To => Ted
2011-08-22 22:01 Ted Status new => needs work
2011-08-22 22:07 Ted Status needs work => needs review & testing
2011-08-31 04:31 INOPIAE Note Added: 0002377
2011-09-04 22:10 nvasseur File Added: french.php
2011-09-04 22:13 nvasseur Note Added: 0002402
2012-10-17 21:36 Lordguy Note Added: 0003260
2012-10-17 22:25 Ted Note Added: 0003261
2012-10-17 22:25 Ted Status needs review & testing => ready to deploy
2012-11-19 22:21 Ted Note Added: 0003344
2012-11-19 22:21 Ted Status ready to deploy => solved?
2012-11-19 22:21 Ted Resolution open => fixed
2012-12-27 17:12 Werner Dworak Relationship added related to 0001107
2012-12-31 16:28 L10N Note Added: 0003585
2012-12-31 16:28 L10N Status solved? => needs feedback
2012-12-31 16:28 L10N Resolution fixed => reopened
2012-12-31 16:48 L10N Note Edited: 0003585 View Revisions
2012-12-31 17:17 L10N Note Edited: 0003585 View Revisions
2013-01-01 12:24 Lordguy Note Added: 0003586
2013-01-07 21:13 Ted Note Added: 0003595
2013-01-07 21:13 Ted Status needs feedback => needs work
2013-01-07 22:02 L10N File Added: french2.php
2013-01-07 22:06 L10N Note Added: 0003596
2013-01-19 20:45 Ted Note Added: 0003710
2013-01-19 20:47 Ted Note Edited: 0003710 View Revisions
2013-01-19 20:48 Ted Note Edited: 0003710 View Revisions
2013-04-07 13:13 Ted Status needs work => needs review & testing
2013-04-07 22:23 speedy67 Note Added: 0003866
2013-04-08 01:01 bergerc Note Added: 0003868
2013-07-05 13:21 L10N Note Added: 0004096
2013-07-05 13:41 bergerc Note Added: 0004097
2013-07-05 17:04 L10N File Added: french3.php
2013-07-05 17:29 L10N Note Added: 0004098
2013-07-05 21:02 bergerc Note Added: 0004099
2013-07-09 09:23 bergerc Note Added: 0004104
2013-12-23 10:49 L10N Note Added: 0004484
2014-02-11 22:53 Ted Note Added: 0004580
2014-02-11 22:54 Ted Status needs review & testing => needs review
2014-11-22 17:43 Ted Note Added: 0005118
2014-11-23 02:49 Lordguy Note Added: 0005119
2014-11-25 00:14 speedy67 Note Added: 0005126
2014-11-25 00:14 speedy67 Note Edited: 0005126 View Revisions
2014-11-26 14:05 L10N Note Added: 0005129
2014-11-26 14:06 L10N Note Edited: 0005129 View Revisions
2014-11-26 14:06 L10N Note Edited: 0005129 View Revisions
2014-11-26 18:19 speedy67 Note Added: 0005130
2014-12-15 08:57 L10N Note Added: 0005176
2014-12-15 12:55 L10N Note Edited: 0005176 View Revisions
2014-12-15 12:58 L10N Note Edited: 0005176 View Revisions
2014-12-15 13:43 L10N Tag Attached: CATS
2014-12-15 13:43 L10N Tag Attached: Translation
2015-01-25 00:43 L10N Note Added: 0005262
2015-01-25 16:41 L10N Note Added: 0005264
2015-01-25 16:42 L10N Note Edited: 0005264 View Revisions
2015-01-25 18:21 bergerc Note Added: 0005270
2015-01-25 21:47 L10N Note Added: 0005278
2016-02-17 13:30 L10N Note Added: 0005496
2016-02-17 13:42 L10N Note Added: 0005497
2016-02-17 21:28 bergerc Note Added: 0005498
2016-02-17 23:25 Lordguy Note Added: 0005499
2016-02-18 16:33 speedy67 Note Added: 0005500
2016-02-18 20:15 L10N Note Added: 0005501
2018-09-03 07:37 Ted Status needs review => ready to deploy
2018-09-03 07:37 Ted Note Added: 0005607
2018-09-03 20:12 Ted Status ready to deploy => solved?
2018-09-03 20:12 Ted Resolution reopened => fixed
2018-09-03 20:12 Ted Note Added: 0005608